23 oct. 2008

Instalando Packet Tracer 5 en Linux

La ultima versión de Packet Tracer trae una versión para linux, por lo que ya no es necesario instalar la versión de windows usando wine. Esta versión viene con un instalador especifico para ubuntu y fedora, así como el genérico que es el que vamos a usar.
Lo descargamos y descomprimimos:
#tar zxvf PacketTracer5_generic.tar.gz
#cd PacketTracer5
#./installer
Presionamos Enter para leer la licencia y Bajamos hasta el final para aceptarla escribiendo Y
Luego debemos especificar la ubicación en donde se instalara, presionamos enter para dejarlo en la ubicación predeterminada:

Enter location to install Packet Tracer 5 or press enter for default [/opt/pt]:

Nos pregunta si queremos que cree enlaces simbolicos a /usr/local/bin, escribirmos Y

Should we create a symbolic link "packettracer" in /usr/local/bin for easy Packet Tracer 5 startup? [Yn]Y

y listo !!!, ya tenemos packet tracer en Linux. Ahora solo debemos abrir un terminal ( xterm, kconsole, gnome-terminal, ... cualquiera), escribir el comando packettracer y ya lo tendremos el software ejecutándose en nuestra PC.

Nota: En caso de tener un sistema de 64 bits hay que instalar las librerías de compatibilidad de 32 bits.


18 comentarios:

  1. hola, gracias por la info, recien estoy empezando con linux y quise probar el packet tracer, me puedes decir en que parte ejecuto ese comando "packettracer"?.

    ResponderEliminar
  2. Debes abrir un terminal, xterm es el generico, si usas gnome sera el gnome terminal, en kde sera kconsole, puedes usar cualquier.

    ResponderEliminar
  3. lo instale y lo inicio desde consola y no hace nada

    uso ubuntu dapper 6.06

    esto dice la consola y no hace nada

    sparda2501@sparda2501-desktop:~$ chmod a+x /opt/pt/packettracer
    chmod: cambiando los permisos de `/opt/pt/packettracer': Operación no permitida
    sparda2501@sparda2501-desktop:~$ /opt/pt/packettracer
    Starting Packet Tracer 5
    sparda2501@sparda2501-desktop:~$ /opt/pt/packettracer
    Starting Packet Tracer 5
    sparda2501@sparda2501-desktop:~$

    ResponderEliminar
  4. Hola,
    si ves el contenido de /opt/pt/packettracer te daras cuenta que es script en bash. Prueba ejecutando cada linea para saber en que esta fallando. Puede ser que no hayas instalado las librerias de 32 bits si tu sistema es de 64 bits, que no tengas las librerias qt correctas o quizas las libstdc++.

    ResponderEliminar
  5. gracias lo que necesitaba

    ResponderEliminar
  6. Hola he actualizado a ubuntu 8.04 y ya jala ni idea donde estaba el problema pero ya funciona gracias por el dato

    ResponderEliminar
  7. Muchisimas Gracias, me funciono perfectamente.

    ResponderEliminar
  8. hola mira soy nuevo en linux y la verda me molesta mucho tener que regresarme a windows para poder hacer mis tares en el packet mi problema esq ue tengo mandriva 2009 y no encuentro de donde descargarlo el programa para generico de linux solo encuentro en de ubuntu tendras algun link o existe alguna forma de instalar un deb en mandriva. ojala me puedas apoyar estamos en contacto y gracias

    ResponderEliminar
  9. Hola que tal, para "jaciento metalero"....tendrías que bajar el Packet en formato tar.gz el mismo que es compatible para todas las distribuciones con kernel 2.6 o superior....Lamentablemente solo la he visto en la página de Cisco. Te puedo ayudar subiendo el programa a un sitio como mediafire o megaupload, pero eso tendría que hacerlo en mi trabajo por el ancho de banda que manejamos ahí. Puedes agregarme o escribirme un correo para hacerme acuerdo por favor???....jarisaizprua@hotmail.com

    ResponderEliminar
  10. hola , un favor, en donde puedo encontrar las librerías de compatibilidad de 32 bits?

    ResponderEliminar
  11. Suelen estar en los repositorios, al menos en Debian es ta sencillo como:
    apt-get install ia32-libs

    Yo tengo otro problema con el pt, es que cuando abro un explorador desde el pt para abrir algún fichero no me aparecen las letras de las carpetas ni de los botones de aceptar y cancelar.
    Alguien sabe si hace falta instalar algunas tipografías específicas o algo pareciod??

    ResponderEliminar
  12. Kr0m te paso este dato que encontre en un comentario en http://nestux.com/blog/instalacion-del-packettracer-51-en-gnulinux espero que sea de utilidad


    # gh0zt Says:
    Junio 10th, 2009 at 11:39 am

    Hola, he probado la version de PT desde mi WS y desde mi netbook(con remix) en mi equipo con remix se nota demaciado lento (delay) de la CLI al momento de usarla, a alguien mas le pasa esto?. Ademas para ambos casos tuve problemas con el antialias de las fuentes, buscando por ahi
    encontre esto para arreglar eso(a mi me funcionó):

    Gr33tz!
    http://ruben.jenster.eu/?q=node/16

    CISCO PacketTracer5 – fix ugly (non-antialiased) fonts on ubuntu
    Sun, 01/11/2009 – 19:06 — ruben.jenster

    I’m currently preparing towards my CCNA certification. CISCO provides a very nice network simulation program called PacketTracer for training. Unfortunately the linux version of PacketTracer looks very ugly since the fonts are not antialiased. Today I found out how to make the fonts in PacketTracer antialiased:

    PacketTracer uses it’s own bundled QT 4 library that sits in

    /usr/local/PacketTracer5/lib

    you can fix the ugly font problem by forcing packetracer to use the ubuntu QT4 version (aptitude install libqt4-gui) by commenting out the LD_LIBARY_PATH export in line 6 of the PacketTracer startscript /usr/local/PacketTracer51/packettracer:

    # export LD_LIBRARY_PATH=$PTDIR/lib

    Afterwards you can remove /usr/local/PacketTracer5/lib which will free up 15M of disk space.

    ResponderEliminar
  13. Hola!
    Tengo instalado Packet Tracer en Ubuntu9.10 pero lo veo todo borroso, como falta la resolucion de pantalla.
    Alguna idea, por favor\u00bf?
    En windows todo lo veo perfecto.
    Gracias

    ResponderEliminar
  14. sobre lenny anda perfecto, buenisimo gracias!!!!!!

    ResponderEliminar
  15. Ya solucionado de 11/01/2009:
    tenia que cambiarlo las medidas de los fuentes:

    options/preferences/font

    Los he bajado y ve todo muy bien.

    Saludos

    ResponderEliminar
  16. hola una pregunta LOS ARCHIVOS QUE AGA COM PKT EN LINUX LOS PUEDO ABRIR CON PKT WINDOWS

    ResponderEliminar
  17. Sí, los archivos son compatibles, siempre y cuando se mantenga la versión, p.e. 5.2 en linux y 5.2 en windows

    ResponderEliminar
  18. Tengo un problema al guardar los proyectos del Packet Tracer 5.2 corriendo en Ubuntu 9.04....al volverlos a abrir, me sale el anuncio de incompatibilidad con los archivos .pkt, alguna sugerencia??

    ResponderEliminar